curl
curl -sS "https://gateway.orbit/api/v1/nodes/7/live-firewall-rules" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'
{
"data": {
"backend_status": "active",
"live": [
{
"name": "<string>",
"comment": "<string>",
"action": "<string>",
"source": "<string>",
"destination": "<string>",
"port": "<string>",
"protocol": "<string>",
"interface": "<string>",
"family": "<string>",
"match": "exact"
}
],
"missing": [
{
"name": "<string>",
"comment": "<string>",
"action": "<string>",
"source": "<string>",
"destination": "<string>",
"port": "<string>",
"protocol": "<string>",
"interface": "<string>",
"family": "<string>",
"match": "missing"
}
]
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Firewall
List live UFW rules
Reads ufw status numbered over WireGuard and classifies each IPv4 rule against the desired managed set and operator firewall records. Live rules that do not match are drift. Desired or operator rules absent from live are missing. An inactive, absent, or unreachable backend returns empty live and missing lists.
GET
/
api
/
v1
/
nodes
/
{node}
/
live-firewall-rules
curl
curl -sS "https://gateway.orbit/api/v1/nodes/7/live-firewall-rules" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'
{
"data": {
"backend_status": "active",
"live": [
{
"name": "<string>",
"comment": "<string>",
"action": "<string>",
"source": "<string>",
"destination": "<string>",
"port": "<string>",
"protocol": "<string>",
"interface": "<string>",
"family": "<string>",
"match": "exact"
}
],
"missing": [
{
"name": "<string>",
"comment": "<string>",
"action": "<string>",
"source": "<string>",
"destination": "<string>",
"port": "<string>",
"protocol": "<string>",
"interface": "<string>",
"family": "<string>",
"match": "missing"
}
]
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}